import { ButtonHTMLAttributes, DetailedHTMLProps } from "react";
declare type ColorScheme = {
    color: "primary-500" | "secondary-800" | "secondary-900";
};
declare function LargeButton({ ...props }: DetailedHTMLProps<ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> & ColorScheme): JSX.Element;
declare function SmallButton({ ...props }: DetailedHTMLProps<ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> & ColorScheme): JSX.Element;
declare function MediumButton({ ...props }: DetailedHTMLProps<ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement> & ColorScheme): JSX.Element;
export { LargeButton, MediumButton, SmallButton };
