import React from "react";
import DropDownMenu from "../DropDownMenu/DropDownMenu";
import styles from "./HorizontalMenu.module.css";
function HorizontalMenu({ menuItems, className, menuPosition, }) {
    return (React.createElement("div", { className: `${styles.menu} ${className}` }, menuItems.map((item, index) => {
        return (React.createElement(DropDownMenu, { key: index, menuItems: item, menuPosition: menuPosition }));
    })));
}
export default HorizontalMenu;
