import React from "react";
import ContentBox from "../ContentBox/ContentBox";
import styles from "./SideNotification.module.css";
function SideNotification({ children, className, position, blockContent, }) {
    position = position === undefined ? "bottom-right" : position;
    const box = (React.createElement(ContentBox, { className: `${styles.notification} ${className || ""} ${styles[position]}` }, children));
    if (blockContent) {
        return React.createElement("div", { className: styles.blocker }, box);
    }
    return box;
}
export default SideNotification;
