var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import styles from "./Buttons.module.css";
var ButtonSize;
(function (ButtonSize) {
    ButtonSize["large"] = "large";
    ButtonSize["medium"] = "medium";
    ButtonSize["small"] = "small";
})(ButtonSize || (ButtonSize = {}));
function Button(_a) {
    var { className, children, color, size } = _a, props = __rest(_a, ["className", "children", "color", "size"]);
    console.log(size);
    return (React.createElement("button", Object.assign({ className: `${styles[`${size}Button`]} ${className} ${styles[color]}` }, props), children));
}
function LargeButton(_a) {
    var props = __rest(_a, []);
    return React.createElement(Button, Object.assign({ size: ButtonSize.large }, props));
}
function SmallButton(_a) {
    var props = __rest(_a, []);
    return React.createElement(Button, Object.assign({ size: ButtonSize.small }, props));
}
function MediumButton(_a) {
    var props = __rest(_a, []);
    return React.createElement(Button, Object.assign({ size: ButtonSize.medium }, props));
}
export { LargeButton, MediumButton, SmallButton };
