/// <reference types="react" />
import { MenuItemProp, Submenu, RedirectLink } from "../../interfaces/MenuTypes";
import { Direction } from "../../interfaces/Utilities";
interface DropDownMenuProps {
    label?: string;
    menuItems: MenuItemProp;
    menuPosition?: Direction;
}
declare function DropDownMenu({ menuItems, label, menuPosition }: DropDownMenuProps): JSX.Element;
export declare function MenuItems({ item, setMenu, arrowPosition, }: {
    setMenu?: (menu: MenuItemProp | Submenu) => void;
    item: Submenu | RedirectLink;
    arrowPosition: Direction;
}): JSX.Element;
export default DropDownMenu;
