/// <reference types="react" />
import { Direction } from "../../interfaces/Utilities";
interface IconProps {
    className?: string;
    color?: string;
    ref?: any;
}
export declare function CloseIcon({ className, color }: IconProps): JSX.Element;
interface ArrowProps extends IconProps {
    direction?: Direction;
}
export declare function ArrowIcon({ direction, className, color }: ArrowProps): JSX.Element;
export declare function MenuIcon({ color, className }: IconProps): JSX.Element;
export declare function PlayIcon({ className, color }: IconProps): JSX.Element;
export declare function SortIcon({ className, color }: IconProps): JSX.Element;
export declare function StarIcon({ color, className }: IconProps): JSX.Element;
export declare function UserIcon({ className, color }: IconProps): JSX.Element;
export declare function CheckmarkIcon({ className, color }: IconProps): JSX.Element;
export {};
