/// <reference types="react" />
import { MenuItemProp } from "../../interfaces/MenuTypes";
import { Direction } from "../../interfaces/Utilities";
interface VerticalMenuProps {
    menuItems: MenuItemProp[];
    className?: string;
    menuPosition: Direction.right | Direction.left;
}
declare function VerticalMenu({ menuItems, className, menuPosition, }: VerticalMenuProps): JSX.Element;
export default VerticalMenu;
